Skip to main content

Letters

NewBeta

Letter objects represent letters and documents associated with an occupancy in AppFolio®. Skywalk API allows you to obtain the following letter attributes from AppFolio®.

The Letter Object

Attributes


appfolioIdstring
AppFolio ID of the letter.
Example:
"41869"

namestring
Name of the letter.
Example:
"Garage Gate Code Change Letter"

createdAtstring
Date the letter was created.
Example:
"2025-03-03T16:04:00.000Z"

categorystring
Category of the letter (e.g. Letters).
Example:
"Letters"

file.idstring
Attachment ID of the letter file.
Example:
"12345"

file.signedUrlstring
Signed URL to download the letter.
Example:
"https://s3.amazonaws.com/appfolio-documents/example-signed-url"

file.fileNamestring
Name of the letter file.
Example:
"Garage Gate Code Change Letter.pdf"

file.contentTypestring
MIME content type of the letter.
Example:
"application/pdf"

file.fileSizeinteger
File size in bytes.
Example:
45678

The Letter Object
{
"appfolioId": "41869",
"name": "Garage Gate Code Change Letter",
"createdAt": "2025-03-03T16:04:00.000Z",
"category": "Letters",
"file": {
"id": "12345",
"signedUrl": "https://s3.amazonaws.com/appfolio-documents/example-signed-url",
"fileName": "Garage Gate Code Change Letter.pdf",
"contentType": "application/pdf",
"fileSize": 45678
}
}

Get All Letters

GET /v1/letters?occupancyId=<occupancyId>

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The letters endpoint returns a list of occupancy letters for a given occupancy in your AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters


occupancyIdstring
AppFolio ID of the occupancy.

 

Returns


The standard List Response Format with a data property containing an array of Letter objects.

GET /v1/letters?occupancyId=734
curl -X GET 'https://api.skywalkapi.com/v1/letters?occupancyId=734' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/letters",
"query": {
"tenantId": "1623"
},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/letters?cursor=abcdefg"
},
"data": [
{
"appfolioId": "41869",
"name": "Garage Gate Code Change Letter",
"createdAt": "2025-03-03T16:04:00.000Z",
"category": "Letters",
"file": {
"id": "12345",
"signedUrl": "https://s3.amazonaws.com/appfolio-documents/example-signed-url",
"fileName": "Garage Gate Code Change Letter.pdf",
"contentType": "application/pdf",
"fileSize": 45678
}
}
]
}